Bug 1014561 (CVE-2013-4396)

Summary: CVE-2013-4396 xorg-x11-server: use-after-free flaw when handling ImageText requests
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ajax, jkurik, jrusnack, peter.hutterer, pfrields, security-response-team, twaugh, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20131008,reported=20131002,source=distros,cvss2=7.4/AV:A/AC:M/Au:S/C:C/I:C/A:C,fedora-all/xorg-x11-server=affected,rhel-5/xorg-x11-server=affected,rhel-6/xorg-x11-server=affected,rhel-7/xorg-x11-server=notaffected,cwe=CWE-416
Fixed In Version: xorg-x11-server 1.15.0, xorg-x11-server 1.14.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-22 01:18:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1015161, 1016412, 1017013, 1017521, 1017522, 1017523    
Bug Blocks: 974906, 1014570    
Attachments:
Description Flags
upstream patch none

Description Murray McAllister 2013-10-02 06:56:30 EDT
X.Org is an open source implementation of the X Window System. A use-after-free flaw was found in the way the X.Org server handled ImageText requests. A malicious, authorized client could use this flaw to crash the X.Org server or, potentially, execute arbitrary code with root privileges.
Comment 1 Vincent Danen 2013-10-02 12:26:34 EDT
Created attachment 806554 [details]
upstream patch
Comment 3 Vincent Danen 2013-10-02 12:29:09 EDT
Acknowledgements:

Red Hat would like to thank the X.Org security team for reporting this issue. Upstream acknowledges Pedro Ribeiro as the original reporter.
Comment 7 Vincent Danen 2013-10-08 18:12:34 EDT
This is now public:

http://lists.x.org/archives/xorg-announce/2013-October/002332.html
Comment 8 Huzaifa S. Sidhpurwala 2013-10-09 03:11:41 EDT
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1017013]
Comment 9 Huzaifa S. Sidhpurwala 2013-10-10 01:42:12 EDT
Statement:

(none)
Comment 11 errata-xmlrpc 2013-10-15 14:41:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1426 https://rhn.redhat.com/errata/RHSA-2013-1426.html